#pragma once

#include "Competitor.h"
#include <QObject>
#include <QAbstractListModel>
#include <qqml.h>

class EventInfo : public QObject {
  Q_OBJECT
  // QML_ELEMENT

  Q_PROPERTY(QString eventName READ eventName CONSTANT)
  Q_PROPERTY(QList<Competitor*> competitors READ competitors CONSTANT)

public:
  explicit EventInfo(QObject *parent = nullptr);

  QString eventName() const;
  void setEventName(const QString &newEventName);

  QList<Competitor*> competitors() const;
  void setCompetitors(const QList<Competitor*> &newCompetitors);

private:
  QString m_eventName;
  QList<Competitor*> m_competitors;
};
